Help with jailbreaking and Cydia for iPhones, iPads, and iPod touches.

Pangu provides an iOS 9.0 untethered jailbreak. TaiG provides an iOS 8.4 and 8.3 untethered jailbreak.
Check @PanguTeam, @taig_jailbreak, @saurik, and /r/jailbreak for news and updates.
You can use Cydia Impactor if you need to un-jailbreak an 8.1-8.4 device without restoring.
Instructions for jailbreaking iOS 8.0-8.4.
Before asking a question, check Frequently Asked Questions to find quick answers!
How to fix some mysterious problems.

Hi , i have the iphone 4 4.2.1 i did the jailbreak using greenpoison, when i rebooted the phone it asked to get connected to itunes, then the itune said that the sim card i have is not the original one and i got stuck there, on the connect to itune on the phone and no original sim screen on itune. what to do to unlock the sim. And one more thing i don't know what baseband i'm running how to know that if necessary for the unlock process. Thank you.

asked 06 Feb '11, 12:57

geonah's gravatar image

geonah
5527129


thank you gomanski. i am not at&t nor canada i need to unlock another sim card and my phone is original 4.2.1 not upgraded one... so... what to do to unlock the sim??

link

answered 06 Feb '11, 13:56

geonah's gravatar image

geonah
5527129

@geonah you can only jailbreak it then... The sim unlock for iphone 4 is only working for baseband 1.59. hopefully someone will come up with an unlock for newer basebands like 3.10.

Good luck

link

answered 06 Feb '11, 16:14

w11z's gravatar image

w11z
165228

no unlock for your baseband

link

answered 06 Feb '11, 16:46

szymi22's gravatar image

szymi22
2014

-1

Without knowing what baseband you have, it's hard to know what to tell you to do. THIS line was in the greenp0ison readme, however:

this version of greenpois0n doesn't include a patched activation system. You'll need to activate your device using iTunes

What carrier do you use? If you are on AT&T (in the US, or Rogers in Canada), then what is the error you are getting? Is it "Invalid SIM"? If you are not using the default carrier for your country (or are in another country), then yes, you need to unlock.

Also, did you use TinyUmbrella following these steps when you upgraded to 4.2.1? If not, your baseband has been upgraded to 03.10.01 and you cannot unlock at this point.

If you have your SHSH blobs saved for 4.1, I would reccomend using PwnageTool 4.1.2 to restore back to iOS 4.1 with

link

answered 06 Feb '11, 13:05

gomanski's gravatar image

gomanski
2.3k78

edited 06 Feb '11, 13:07

Your answer: (please use the "add new comment" button unless you are actually answering the original question)
toggle preview

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "Title")
  • image?![alt text](/path/img.jpg "Title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Tags:

Asked: 06 Feb '11, 12:57

Seen: 717 times

Last updated: 06 Feb '11, 16:46

Related questions

JailbreakQA is by chpwn and comex.
About JailbreakQA. Powered by OSQA.